Get an agent run
GET
/api/v3/agents/runs/{runUniqueId}
const url = 'https://api.tryletterhead.com/api/v3/agents/runs/example?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/agents/runs/example?api=true' \ --header 'Authorization: Bearer <token>'Get a single agent run by its unique identifier, including its judgments.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” runUniqueId
required
string
The agent run’s unique identifier.
Query Parameters
Section titled “Query Parameters ” api
required
boolean
Required. Set to true.
Responses
Section titled “ Responses ”200 OK
Media type application/json
object
items
object
uniqueId
string
agentUniqueId
string
agentName
string
agentType
integer
letterTitle
string
contextLabel
string
resourceType
integer
resourceUniqueId
string
status
integer
summary
string
validationCode
integer
dispatchedAt
string
startedAt
string
completedAt
string
judgments
Array<object>
object
uniqueId
string
severity
integer
confidence
integer
category
string
finding
string
suggestion
string
state
integer
createdAt
string
updatedAt
string
isOutdated
boolean
createdAt
string
updatedAt
string
message
string
total
integer
Example
{ "items": { "uniqueId": "vq5rnof1op", "agentUniqueId": "mofuehvagv", "agentName": "House style checker", "agentType": 0, "letterTitle": "This week in the daily", "contextLabel": "the-daily", "resourceType": 0, "resourceUniqueId": "35f725edbi", "status": 1, "summary": "No major issues found.", "validationCode": 200, "dispatchedAt": "2026-06-18T14:22:03+00:00", "startedAt": "2026-06-18T14:22:05+00:00", "completedAt": "2026-06-18T14:22:09+00:00", "judgments": [], "createdAt": "2026-06-18T14:22:03+00:00", "updatedAt": "2026-06-18T14:22:09+00:00" }, "message": "", "total": 1}Still can’t find what you need? Contact support.